Package: org.apache.groovy.contracts

## [Java] Class PreconditionViolation

- org.apache.groovy.contracts.PreconditionViolation

-     public class PreconditionViolation
      extends AssertionViolation

  Thrown whenever a precondition violation occurs.

  See Also:
    AssertionViolation

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PreconditionViolation()`
    `PreconditionViolation(Object o)`
    `PreconditionViolation(boolean b)`
    `PreconditionViolation(char c)`
    `PreconditionViolation(int i)`
    `PreconditionViolation(long l)`
    `PreconditionViolation(float v)`
    `PreconditionViolation(double v)`

- - ### Constructor Detail

    - #### public PreconditionViolation()

    - #### public PreconditionViolation(Object o)

    - #### public PreconditionViolation(boolean b)

    - #### public PreconditionViolation(char c)

    - #### public PreconditionViolation(int i)

    - #### public PreconditionViolation(long l)

    - #### public PreconditionViolation(float v)

    - #### public PreconditionViolation(double v)